#!/bin/sh

if [ -z "$JAVA_HOME" ]; then
 echo "The JAVA_HOME environment variable is not defined"
 echo "This environment variable is needed to run this program"
 exit 1
fi
      
BGDHCP_IPN_HOME=.
CLASSPATH=${BGDHCP_IPN_HOME}:$BGDHCP_IPN_HOME/lib/*

for i in "$BGDHCP_IPN_HOME/lib"/*.jar; do
 CLASSPATH="$CLASSPATH":"$i"
done

if [ "$1" = "start" ]; then 
 nohup ${JAVA_HOME}/bin/java -Djava.net.preferIPv4Stack=true -Xmx256m -cp $CLASSPATH bitel.billing.server.ext.dhcp.DHCP $1 $2 $3 $4 $5 $6 > ./log/dhcp.out 2>&1 &
 else
 ${JAVA_HOME}/bin/java -Djava.net.preferIPv4Stack=true -Xmx256m -cp $CLASSPATH bitel.billing.server.ext.dhcp.DHCP $1 $2 $3 $4 $5 $6
fi
